/*
 *
 */

import java.io.*;
import java.util.*;

public class INIfile {
   String FileName = new String();
   RandomAccessFile iFile;
   long SectionPosition;
   String iLine;
   StringTokenizer sToken;

	INIfile(String filename) {
		try {
		   iFile = new RandomAccessFile(filename, "r");
		} catch (Exception e) { 
		   System.out.println(e);
		   iFile = null;
		}
	}

	public boolean setSection(String section) {
// System.out.println("Looking for Section: " + section);
		if (iFile == null)
		    return false;

		try {
		    iFile.seek(0);
		    while (true) {
			iLine = iFile.readLine();
			if (iLine == null)
			   return false;
// System.out.println("Read Line: " + iLine);
			if (iLine.indexOf(section) != -1) {
			   SectionPosition = iFile.getFilePointer();
// System.out.println("Section Found: " + iLine);
			   return true;
			}
		    }
		} catch (Exception e) { 
		    System.out.println(e); 
		    return false;
		}
	}

	public String getOption(String section, String option) {
	   long tPos = SectionPosition;
	   String tOpt;

		if (this.setSection(section) == true) {
		   tOpt = this.getOption(option);
		   SectionPosition = tPos;
		   return tOpt;
		}
		SectionPosition = tPos;

		return "";
	}

	public String getOption(String option) {
// System.out.println("Looking for Option: " + option);
		if (iFile == null)
		    return "";

		try {
		    iFile.seek(SectionPosition);
		    while (true) {
			iLine = iFile.readLine();
			if (iLine == null)
			   return "";
			if (iLine.length() < 2 || iLine.startsWith("["))
			   return "";
// System.out.println("Read Line: " + iLine);
			if (iLine.indexOf(option) != -1) {
// System.out.println("Option Found: " + iLine);
			   sToken = new StringTokenizer(iLine, "=");
			   sToken.nextToken();
			   return new String(sToken.nextToken());
			}
		    }
		} catch (Exception e) { 
		    System.out.println(e); 
		}
		return "";
	}
}
